## net.percederberg.mib.type
Class CompoundType

    java.lang.Object
      |
      +--net.percederberg.mib.type.Type
            |
            +--net.percederberg.mib.type.CompoundType

public class CompoundType
extends Type

A class for handling composed types for symbols in the MIBs.

Author:
  Per Cederberg, per@percederberg.net

Constructor Summary
`CompoundType()` Creates a new compound type.

Method Summary
`void` `addComponent(ValueSymbol sym)` Adds a component to this type.
`boolean` `equals(java.lang.Object obj)` Checks if this type equals another.
`java.lang.String` `toString()` Returns a string description of this type.
`void` `transferType(TypeConverter converter)` Transfers the type information from this type to a type converter object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompoundType

    public CompoundType()

  Creates a new compound type.

Method Detail

### addComponent

    public void addComponent(ValueSymbol sym)

  Adds a component to this type. The component is added last in the list.
  Parameters:
    `sym` - a symbol component

### equals

    public boolean equals(java.lang.Object obj)

  Checks if this type equals another.
  Overrides:
    `equals` in class `Type`
  Parameters:
    `obj` - an object
  Returns:
    true if the types are equal, false otherwise

### toString

    public java.lang.String toString()

  Returns a string description of this type.
  Overrides:
    `toString` in class `Type`
  Returns:
    a string description of the type

### transferType

    public void transferType(TypeConverter converter)

  Transfers the type information from this type to a type converter object. The calling conventions declared in the TypeConverter class are followed.
  Overrides:
    `transferType` in class `Type`
  Parameters:
    `converter` - a type converter